## lemonldap-ng 2.0.9+ds

=== Makefile ===
#!/usr/bin/make

# This Makefile contains 2 main sections
#  - Variables
#  - targets

# ---------
# VARIABLES
# ---------

# Prefix for packaging
DESTDIR=

# Flag for optimizations
USEDEBIANLIBS=no
PROD=$(USEDEBIANLIBS)
USEEXTERNALLIBS=no
PARA=$(shell perl -000 -e 'print ( "$(MAKEFLAGS)" =~ /-j(\d+)/ ? "j$1:c" : "")')

# Perl options
#PERLOPTIONS="INSTALLDIRS=vendor"
PERLOPTIONS=

# Compression
JSCOMPRESS=$(PROD)
CSSCOMPRESS=$(PROD)

# External commands
PERL=$$(which perl)
PERLVERSION=`perl -e '$$version = $$^V; $$version =~ s/v//; print $$version'`
export PERL5LIB=$(shell echo `pwd`/${SRCCOMMONDIR}/blib/lib:`pwd`/${SRCHANDLERDIR}/blib/lib:`pwd`/${SRCMANAGERDIR}/blib/lib/:`pwd`/${SRCPORTALDIR}/blib/lib/)
SU=su -c
COMPRESS=tar czf
UNCOMPRESS=tar xzf
LISTCOMPRESSED=tar tzf
COMPRESSSUFFIX=tar.gz
NGINX=/usr/sbin/nginx
UGLIFYJSVERSION:=$(shell uglifyjs --version|perl -pe 's/^[^\d]*(\d).*$$/$$1/')

# Default directories install
# ---------------------------

# Common dirs
PREFIX=/usr/local
LMPREFIX=$(PREFIX)/lemonldap-ng
# BIN dirs
BINDIR=$(LMPREFIX)/bin
SBINDIR=$(LMPREFIX)/sbin
INITDIR=$(LMPREFIX)/etc/init.d
ETCDEFAULTDIR=$(LMPREFIX)/etc/default
DATADIR=$(LMPREFIX)/data

# Document roots for Apache VirtualHosts
DOCUMENTROOT=$(LMPREFIX)/htdocs
PORTALDIR=$(DOCUMENTROOT)/portal
PORTALSITEDIR=$(PORTALDIR)/htdocs
PORTALSTATICDIR=$(PORTALSITEDIR)/static
PORTALRELATIVESTATICDIR=/static
PORTALTEMPLATESDIR=$(PORTALDIR)/templates

MANAGERDIR=$(DOCUMENTROOT)/manager
MANAGERSITEDIR=$(MANAGERDIR)/htdocs
MANAGERAPIDIR=$(MANAGERDIR)/api
MANAGERSTATICDIR=$(MANAGERSITEDIR)/static
MANAGERRELATIVESTATICDIR=/static
MANAGERTEMPLATESDIR=$(MANAGERSITEDIR)/templates
DOCDIR=$(DOCUMENTROOT)
DEFDOCDIR=$(DOCUMENTROOT)/doc
TESTDIR=$(DOCUMENTROOT)/test
EXAMPLESDIR=$(LMPREFIX)/examples
TOOLSDIR=$(LMPREFIX)/tools

# Handler dir
HANDLERDIR=$(LMPREFIX)/handler

# Configuration dir
CONFDIR=$(LMPREFIX)/etc
CRONDIR=$(LMPREFIX)/etc/cron.d
CONFFILENAME=lemonldap-ng.ini
STORAGECONFFILE=$(CONFDIR)/$(CONFFILENAME)

# LL::NG configuration storage dir
FILECONFIGDIR=$(DATADIR)/conf

# LL::NG sessions storage dir
APACHESESSIONFILEDIR=$(DATADIR)/sessions
APACHESESSIONFILELOCKDIR=$(APACHESESSIONFILEDIR)/lock

# LL::NG persistent sessions storage dir
APACHEPSESSIONFILEDIR=$(DATADIR)/psessions
APACHEPSESSIONFILELOCKDIR=$(APACHEPSESSIONFILEDIR)/lock

# LL::NG notifications storage dir
APACHEFILENOTIFDIR=$(DATADIR)/notifications

# LL::NG captcha dir
CAPTCHADIR=$(DATADIR)/captcha

# LL::NG cache dir
CACHEDIR=$(DATADIR)/cache

# Apache user/group
APACHEUSER=
APACHEGROUP=

# FastCGI
FASTCGISOCKDIR=$(PREFIX)/run
FASTCGIUSER=$(APACHEUSER)
FASTCGIGROUP=$(APACHEGROUP)

# uWSGI
UWSGIYAMLDIR=$(LMPREFIX)/uwsgi
LLNGAPPDIR=$(LMPREFIX)/llng-server
UWSGIUSER=$(APACHEUSER)
UWSGIGROUP=$(APACHEGROUP)

# Apache version
APACHEVERSION=2.X

# Apache log dir
APACHELOGDIR=/var/log/apache2

# DNS Domain for cookie and virtual hosts
DNSDOMAIN=example.com

# Virtual Host Listen IP and Port (*, *:80, ...)
PORT=80
VHOSTLISTEN="*:$(PORT)"
TESTWEBSERVER=apache
TESTWEBSERVERPORT=19876
TESTUSESSL=0
E2E_TESTS='portal/*.js'

# LDAP backend test
LLNGTESTLDAP_SLAPD_BIN=/usr/sbin/slapd
LLNGTESTLDAP_SLAPADD_BIN=/usr/sbin/slapadd
LLNGTESTLDAP_SCHEMA_DIR=/etc/ldap/schema

# Default website destination
WEBSITE_DIR=doc/sources/admin/_build/html

# Other
SRCCOMMONDIR=lemonldap-ng-common
SRCHANDLERDIR=lemonldap-ng-handler
SRCPORTALDIR=lemonldap-ng-portal
SRCMANAGERDIR=lemonldap-ng-manager
ERASECONFIG=1 # Set to 0 if you do not want to replace your configuration

# INTERNAL VARIABLES

# Internal variables used to install in $(DESTDIR)
RLMPREFIX=$(DESTDIR)/$(LMPREFIX)
RBINDIR=$(DESTDIR)/$(BINDIR)
RSBINDIR=$(DESTDIR)/$(SBINDIR)
RUWSGIYAMLDIR=$(DESTDIR)/$(UWSGIYAMLDIR)
RLLNGAPPDIR=$(DESTDIR)/$(LLNGAPPDIR)
RINITDIR=$(DESTDIR)/$(INITDIR)
RETCDEFAULTDIR=$(DESTDIR)/$(ETCDEFAULTDIR)
RDATADIR=$(DESTDIR)/$(DATADIR)
RPORTALDIR=$(DESTDIR)/$(PORTALDIR)
RPORTALSITEDIR=$(DESTDIR)/$(PORTALSITEDIR)
RPORTALSTATICDIR=$(DESTDIR)/$(PORTALSTATICDIR)
RPORTALTEMPLATESDIR=$(DESTDIR)/$(PORTALTEMPLATESDIR)
RMANAGERDIR=$(DESTDIR)/$(MANAGERDIR)
RMANAGERSITEDIR=$(DESTDIR)/$(MANAGERSITEDIR)
RMANAGERAPIDIR=$(DESTDIR)/$(MANAGERAPIDIR)
RMANAGERSTATICDIR=$(DESTDIR)/$(MANAGERSTATICDIR)
RMANAGERTEMPLATESDIR=$(DESTDIR)/$(MANAGERTEMPLATESDIR)
RDOCDIR=$(DESTDIR)/$(DOCDIR)
RDEFDOCDIR=$(DESTDIR)/$(DEFDOCDIR)
RTESTDIR=$(DESTDIR)/$(TESTDIR)
REXAMPLESDIR=$(DESTDIR)/$(EXAMPLESDIR)
RTOOLSDIR=$(DESTDIR)/$(TOOLSDIR)
RHANDLERDIR=$(DESTDIR)/$(HANDLERDIR)
RCONFDIR=$(DESTDIR)/$(CONFDIR)
RCRONDIR=$(DESTDIR)/$(CRONDIR)
RFILECONFIGDIR=$(DESTDIR)/$(FILECONFIGDIR)
RAPACHESESSIONFILEDIR=$(DESTDIR)/$(APACHESESSIONFILEDIR)
RAPACHESESSIONFILELOCKDIR=$(DESTDIR)/$(APACHESESSIONFILELOCKDIR)
RAPACHEPSESSIONFILEDIR=$(DESTDIR)/$(APACHEPSESSIONFILEDIR)
RAPACHEPSESSIONFILELOCKDIR=$(DESTDIR)/$(APACHEPSESSIONFILELOCKDIR)
RFILENOTIFDIR=$(DESTDIR)/$(APACHEFILENOTIFDIR)
RCAPTCHADIR=$(DESTDIR)/$(CAPTCHADIR)
RCACHEDIR=$(DESTDIR)/$(CACHEDIR)
RFASTCGISOCKDIR=$(DESTDIR)/$(FASTCGISOCKDIR)

VERSION=`head -n1 changelog |sed -e 's/lemonldap-ng (//' -e 's/).*$$//'`
PORTALSKINS=`ls $(SRCPORTALDIR)/site/templates/`
DIFF=diff -aurN -x '*.tpl' -x '*.bak' -x .svn -x '*.map' -x '*.min.js' -x '*.min.css' -x '*.swp' --ignore-matching-lines='.*jquery.*' --ignore-matching-lines='.*lemonldap-ng\.ini.*'
DIFFPREFIX=


MANAGERLIBSTOREMOVEFORDEBIAN=$(RMANAGERSTATICDIR)/bwr/jquery/ \
			$(RMANAGERSTATICDIR)/bwr/angular/ \
			$(RMANAGERSTATICDIR)/bwr/angular-animate/ \
			$(RMANAGERSTATICDIR)/bwr/angular-cookie/ \
			$(RMANAGERSTATICDIR)/bwr/bootstrap/ \
			$(RMANAGERSTATICDIR)/bwr/es5-shim/
PORTALLIBSTOREMOVEFORDEBIAN=$(RPORTALSTATICDIR)/bwr/bootstrap/ \
			$(RPORTALSTATICDIR)/bwr/font-awesome \
			$(RPORTALSTATICDIR)/bwr/jquery-ui \
			$(RPORTALSTATICDIR)/bwr/jquery.cookie \
			$(RPORTALSTATICDIR)/bwr/jquery
DOCLIBSTOREMOVEFORDEBIAN=pages/documentation/current/lib/tpl/bootstrap3 \
			pages/documentation/current/lib/scripts/jquery-ui*.js \
			pages/documentation/current/bootswatch/3.3.4/flatly/bootstrap.min.css
DOCEXTERNALLIBS=$(DOCLIBSTOREMOVEFORDEBIAN)
MANAGEREXTERNALLIBS=$(RMANAGERSTATICDIR)/bwr/
PORTALEXTERNALLIBS=$(PORTALLIBSTOREMOVEFORDEBIAN)

# GENERATED SRC FILES
MANAGERJSONSRC= scripts/jsongenerator.pl \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Attributes.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/Tree.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/CTrees.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Conf/Zero.pm \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Build/PortalConstants.pm
MANAGERJSONDST=$(SRCMANAGERDIR)/site/htdocs/static/struct.json \
		$(SRCMANAGERDIR)/site/htdocs/static/reverseTree.json \
		$(SRCMANAGERDIR)/site/htdocs/static/js/conftree.js \
		$(SRCMANAGERDIR)/lib/Lemonldap/NG/Manager/Attributes.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/ReConstants.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/DefaultValues.pm \
		$(SRCCOMMONDIR)/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		$(SRCPORTALDIR)/lib/Lemonldap/NG/Portal/Main/Constants.pm \
		$(SRCHANDLERDIR)/lib/Lemonldap/NG/Handler/Lib/StatusConstants.pm \
		_example/conf/lmConf-1.json



# Javascript and CSS to minify
JSSRCFILES:=$(shell find */site/htdocs/static/js $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.js' ! -name '*.min.js') \
		$(SRCMANAGERDIR)/site/htdocs/static/bwr/file-saver.js/FileSaver.js
CSSSRCFILES:=$(shell find $(SRCMANAGERDIR)/site/htdocs/static  $(SRCPORTALDIR)/site/htdocs/static -type f -name '*.css' ! -name '*.min.css')

# Coffee files
MANAGERCOFFEESRCFILES:=$(shell find lemonldap-ng-manager/site/coffee -type f -name '*.coffee')
PORTALCOFFEESRCFILES:=$(shell find lemonldap-ng-portal/site/coffee -type f -name '*.coffee')
COFFEESRCFILES=$(MANAGERCOFFEESRCFILES) $(PORTALCOFFEESRCFILES)
MANAGERCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/js/,$(MANAGERCOFFEESRCFILES:.coffee=.js))
PORTALCOFFEEDSTFILES:=$(subst coffee/,htdocs/static/common/js/,$(PORTALCOFFEESRCFILES:.coffee=.js))
COFFEEDSTFILES:=$(MANAGERCOFFEEDSTFILES) $(PORTALCOFFEEDSTFILES)

# Minified files
JSDSTFILES=$(JSSRCFILES:.js=.min.js)
CSSDSTFILES=$(CSSSRCFILES:.css=.min.css)

# -------
# TARGETS
# -------

# Targets section contains the following subsections:
#  - 'all' that must be defined at first
#  - configure targets
#  - make targets
#  - test targets
#  - end-to-end tests
#  - install targets
#  - cleaning targets
#  - Perl libraries uninstall targets
#  - packaging targets
#  - developper corner

all:	configure common handler manager portal documentation
	@echo
	@echo "Building succeed. Now run :"
	@echo " - 'make test' to verify your installation"
	@echo " - 'make install PROD=yes' to install all"
	@echo
	@echo "    MAKE INSTALL OPTIONS:"
	@echo "    - PROD=yes            : use js/css minified files"
	@echo "    - USEDEBIANLIBS=yes   : use some Debian shared js/css files"
	@echo "    - USEEXTERNALLIBS=yes : use external links for some js/css files"
	@echo
	@echo 'Other targets :'
	@echo " * Partial build :"
	@echo "   - portal, manager, handler"
	@echo
	@echo 'Other targets launched by "make install" :'
	@echo " * Perl libraries install :"
	@echo "   - install_libs           (all Perl libraries)"
	@echo "   - install_portal_libs"
	@echo "   - install_manager_libs"
	@echo "   - install_handler_libs"
	@echo " * Binaries install :"
	@echo "   - install_bin            ($(BINDIR))"
	@echo " * FastCGI (or uWSGI) server install (required for Nginx)"
	@echo "   - install_fastcgi_server ($(SBINDIR))"
	@echo "   - install_uwsgi_server   ($(UWSGIYAMLDIR))"
	@echo " * Web sites install :"
	@echo "   - install_site           (all sites including install_doc_site)"
	@echo "   - install_portal_site    ($(PORTALDIR))"
	@echo "   - install_manager_site   ($(MANAGERDIR))"
	@echo "   - install_handler_site   ($(HANDLERDIR))"
	@echo " * Documentation install :"
	@echo "   - install_doc_site       ($(DEFDOCDIR))"
	@echo "   - install_examples_site  ($(EXAMPLESDIR))"
	@echo

# Configure targets
# -----------------

configure:	common_conf handler_conf portal_conf manager_conf

js: $(COFFEEDSTFILES)

minify: js $(JSDSTFILES) $(CSSDSTFILES)

$(SRCPORTALDIR)/site/htdocs/static/common/js/%.js: $(SRCPORTALDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCPORTALDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCPORTALDIR)/site/htdocs/static/common/js/ $(SRCPORTALDIR)/site/coffee/$*.coffee; \
	else \
		echo "Can't find coffee"; \
	fi

$(SRCMANAGERDIR)/site/htdocs/static/js/%.js: $(SRCMANAGERDIR)/site/coffee/%.coffee
	@if which coffee >/dev/null; then \
		echo "Compiling $(SRCMANAGERDIR)/site/coffee/$*.coffee"; \
		coffee -c -o $(SRCMANAGERDIR)/site/htdocs/static/js/ $(SRCMANAGERDIR)/site/coffee/$*.coffee; \
	fi

%.min.css: %.css
	@echo "Compressing $*.css"
	@yui-compressor $*.css > $*.min.css

%.min.js: %.js
	@echo "Compressing $*.js"
	if test "$(UGLIFYJSVERSION)" = 2; then \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments='/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
	else \
		cd `dirname $*`; \
		uglifyjs `basename $*`.js --compress --mangle --comments='/Copyr/i' --source-map -o `basename $*`.min.js; \
	fi

fastcgi-server/man/llng-fastcgi-server.8p: fastcgi-server/sbin/llng-fastcgi-server
	@echo Update FastCGI server man page
	@pod2man -s 8 -name llng-fastcgi-server fastcgi-server/sbin/llng-fastcgi-server >fastcgi-server/man/llng-fastcgi-server.8p

# Perl libraries configuration

json:	$(MANAGERJSONDST) fastcgi-server/man/llng-fastcgi-server.8p debian/*cron*
	@if which yui-compressor >/dev/null; then $(MAKE) minify; fi

debian/liblemonldap-ng-handler-perl.cron.d: lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d
	@perl -pe 's/__APACHEUSER__/www-data/g;s@__BINDIR__@/usr/share/lemonldap-ng/bin@g' \
		lemonldap-ng-handler/eg/scripts/purgeLocalCache.cron.d \
		> debian/liblemonldap-ng-handler-perl.cron.d

=== debian/changelog ===
lemonldap-ng (2.0.9+ds-1) unstable; urgency=medium

  * New upstream version 2.0.9+ds (Closes: CVE-2020-16093, CVE-2020-24660)
  * Recommend libapache-session-browseable-perl > 1.3.8 (related to
    CVE-2020-16093)
  * Refresh patches
  * Add python3-sphinx and python3-sphinx-bootstrap-theme in build dependencies
  * Bump debhelper compatibility level to 13
    + Fix dh_missing ignored files in an override
  * Update install
  * Update lintian overrides
  * Update copyright
  * Add debian/NEWS entry (related to CVE-2020-16093 and CVE-2020-24660)

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Sep 2020 10:51:13 +0200

=== debian/control ===
Source: lemonldap-ng
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Xavier Guimard <yadd@debian.org>
Section: perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               po-debconf
Build-Depends-Indep: gpg <!nocheck>,
                     libapache-session-perl <!nocheck>,
                     libauthen-oath-perl <!nocheck>,
                     libauthen-u2f-tester-perl <!nocheck>,
                     libcache-cache-perl <!nocheck>,
                     libclone-perl <!nocheck>,
                     libconfig-inifiles-perl <!nocheck>,
                     libconvert-base32-perl <!nocheck>,
                     libconvert-pem-perl <!nocheck>,
                     libcrypt-openssl-rsa-perl <!nocheck>,
                     libcrypt-openssl-x509-perl <!nocheck>,
                     libcrypt-urandom-perl <!nocheck>,
                     libcrypt-rijndael-perl <!nocheck>,
                     libcrypt-u2f-server-perl <!nocheck>,
                     libdatetime-format-rfc3339-perl <!nocheck>,
                     libdbd-sqlite3-perl <!nocheck>,
                     libdbi-perl <!nocheck>,
                     libdigest-hmac-perl <!nocheck>,
                     libemail-sender-perl <!nocheck>,
                     libgd-securityimage-perl <!nocheck>,
                     libglib-perl <!nocheck>,
                     libgssapi-perl <!nocheck>,
                     libhtml-template-perl <!nocheck>,
                     libimage-magick-perl <!nocheck>,
                     libio-string-perl <!nocheck>,
                     libipc-run-perl <!nocheck>,
                     libjson-perl <!nocheck>,
                     liblasso-perl <!nocheck>,
                     liblwp-protocol-psgi-perl,
                     libmime-tools-perl <!nocheck>,
                     libmouse-perl <!nocheck>,
                     libnet-cidr-lite-perl <!nocheck>,
                     libnet-ldap-perl <!nocheck>,
                     libnet-openid-consumer-perl <!nocheck>,
                     libnet-openid-server-perl <!nocheck>,
                     libplack-perl <!nocheck>,
                     libregexp-assemble-perl <!nocheck>,
                     libregexp-common-perl <!nocheck>,
                     libsoap-lite-perl <!nocheck>,
                     libstring-random-perl <!nocheck>,
                     libtest-mockobject-perl <!nocheck>,
                     libtest-output-perl <!nocheck>,
                     libtest-pod-perl <!nocheck>,
                     libtext-unidecode-perl <!nocheck>,
                     libtime-fake-perl <!nocheck>,
                     libunicode-string-perl <!nocheck>,
                     liburi-perl <!nocheck>,
                     libhttp-message-perl <!nocheck>,
                     libwww-perl <!nocheck>,
                     libxml-libxml-perl <!nocheck>,
                     libxml-libxslt-perl <!nocheck>,
                     libxml-simple-perl <!nocheck>,
                     python3-sphinx,
                     python3-sphinx-bootstrap-theme,
                     uglifyjs,
                     yui-compressor,
                     perl
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
Homepage: https://lemonldap-ng.org/
Rules-Requires-Root: binary-targets

Package: lemonldap-ng
Architecture: all
Depends: ${misc:Depends},
         lemonldap-ng-handler (= ${binary:Version}),
         liblemonldap-ng-manager-perl (= ${binary:Version}),
         liblemonldap-ng-portal-perl (= ${binary:Version})
Provides: openid-connect-provider,
          openid-connect-relying-party,
          saml-identity-provider,
          saml-service-provider
Description: OpenID-Connect, CAS and SAML compatible Web-SSO system
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package is a metapackage that install handler, manager and portal.

Package: lemonldap-ng-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Lemonldap::NG Web-SSO system documentation
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package contains html documentation.

Package: lemonldap-ng-fastcgi-server
Architecture: all
Section: web
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${perl:Depends},
         lsb-base,
         libfcgi-perl,
         libfcgi-procmanager-perl,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         libplack-perl
Recommends: libhttp-parser-xs-perl,
            nginx-extras | nginx
Description: Lemonldap::NG FastCGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG FastCGI server provides a Nginx auth_request server that handles
 also LLNG Portal and Manager.

Package: lemonldap-ng-uwsgi-app
Architecture: all
Section: web
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version})
Recommends: libhttp-parser-xs-perl,
            uwsgi-plugin-psgi
Suggests: nginx-extras | nginx
Description: Lemonldap::NG uWSGI server
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorization are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG uWSGI server provides a replacement to Lemonldap::NG FastCGI
 server, using uWSGI instead of Plack FCGI.

Package: lemonldap-ng-handler
Architecture: all
Depends: ${misc:Depends},
         liblemonldap-ng-handler-perl (= ${binary:Version})
Recommends: lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | libapache2-mod-perl2
Suggests: libcache-memcached-perl,
          libdigest-hmac-perl,
          libsoap-lite-perl
Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
Description: Lemonldap::NG handler part
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 This package provides configuration files for Apache and Nginx used to protect
 web areas.

Package: liblemonldap-ng-handler-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         liblemonldap-ng-common-perl (= ${binary:Version})
Description: Lemonldap::NG handler common libraries
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Handler provides Perl libraries used by web server handlers.

Package: liblemonldap-ng-common-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         debconf,
         libapache-session-perl,
         libcache-cache-perl,
         libconfig-inifiles-perl,
         libcrypt-openssl-rsa-perl,
         libcrypt-openssl-x509-perl,
         libcrypt-urandom-perl,
         libcrypt-rijndael-perl,
         libhtml-template-perl,
         libjson-perl,
         libmouse-perl,
         libplack-perl,
         liburi-perl,
         libwww-perl
Recommends: libapache-session-browseable-perl (>= 1.3.8),
            libcookie-baker-xs-perl,
            libdbi-perl,
            libhttp-parser-xs-perl,
            libjson-xs-perl,
            liblwp-protocol-https-perl,
            libstring-random-perl
Suggests: libconvert-base32-perl,
          libnet-ldap-perl,
          libsoap-lite-perl,
          libxml-libxml-perl,
          libxml-simple-perl
Conflicts: liblemonldap-ng-cli-perl
Description: Lemonldap::NG common files
 Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
 or directly on application webservers. It can be used in conjunction with
 OpenID-Connect, CAS and SAML systems as identity or service provider. It can
 also be used as proxy between those federation systems.
 .
 It manages both authentication and authorization and provides headers for
 accounting. So you can have a full AAA protection. Authorizations are built by
 associating a regular expression and a rule. Regular expression is applied on
 the requested URL and the rule calculates if the user is authorized.
 .
 Lemonldap::NG::Common contains common files used by other Lemonldap::NG
 modules.

Package: liblemonldap-ng-manager-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libconvert-pem-perl,
         libcrypt-openssl-rsa-perl,
         libjs-angularjs (>= 1.4),
         libjs-bootstrap,
         libjs-es5-shim,
         libjs-jquery,
         liblemonldap-ng-handler-perl (= ${binary:Version}),
         lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi
Recommends: lemonldap-ng-doc (= ${binary:Version}),
            libxml-libxml-perl,
            libxml-libxslt-perl,
            libxml-simple-perl
Suggests: libclone-perl,
          libregexp-assemble-perl
Pre-Depends: debconf

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

LMSHAREDIR=/usr/share/lemonldap-ng
LMVARDIR  =/var/lib/lemonldap-ng
TMP       = $(CURDIR)/debian/tmp

CONFDIR=/etc/lemonldap-ng
SESSIONSDIR=$(LMVARDIR)/sessions
PSESSIONSDIR=$(LMVARDIR)/psessions
NOTIFICATIONSDIR=$(LMVARDIR)/notifications
CONFSTORAGEDIR=$(LMVARDIR)/conf
FIRSTCONFFILE=$(CONFSTORAGEDIR)/lmConf-1.json
LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
CAPTCHADIR=$(LMVARDIR)/captcha
export LLNG_SKIP_GPG_TEST=1

%:
	dh $@

override_dh_auto_configure:
	$(MAKE) lemonldap-ng-common/lib/Lemonldap/NG/Common/Conf/Constants.pm \
		fastcgi-server/man/llng-fastcgi-server.8p
	$(MAKE) configure STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
		PERLOPTIONS="INSTALLDIRS=vendor"

override_dh_auto_build:
	# Generate files excluded from import
	$(MAKE) all

override_dh_auto_install:
	$(MAKE) install \
			DESTDIR=$(CURDIR)/debian/tmp \
			PREFIX=/usr \
			LMPREFIX=/usr/share/lemonldap-ng \
			BINDIR=$(LMSHAREDIR)/bin \
			SBINDIR=/usr/sbin \
			FASTCGISOCKDIR=/var/run/llng-fastcgi-server \
			DOCUMENTROOT=$(LMVARDIR) \
			EXAMPLESDIR=/examples \
			HANDLERDIR=$(LMVARDIR)/handler \
			MANAGERDIR=$(LMSHAREDIR)/manager \
			PORTALDIR=$(LMSHAREDIR)/portal \
			STORAGECONFFILE=/etc/lemonldap-ng/lemonldap-ng.ini \
			TOOLSDIR=$(LMSHAREDIR)/ressources \
			CONFDIR=/etc/lemonldap-ng \
			CRONDIR=/etc/cron.d \
			DATADIR=$(LMVARDIR) \
			APACHEVERSION=2.X \
			APACHEUSER=www-data \
			APACHEGROUP=www-data \
			DEFDOCDIR=/usr/share/doc/lemonldap-ng \
			UWSGIYAMLDIR=/etc/uwsgi/apps-available \
			USEDEBIANLIBS=yes
	find $(TMP)/$(LMSHAREDIR) -type f -name '.*.swp' -delete
	# Generate minified files removed by uscan
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
		echo -n "compressing $$i: "; \
		uglifyjs --comments='/Copyr/i' $$i >$${i%%.js}.min.js; \
		echo done; \
	done
	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
		echo -n "compressing $$i: "; \
		yui-compressor $$i >$${i%%.css}.min.css; \
		echo done; \
	done

override_dh_compress:
	dh_compress -X favicon.ico

# Fix lemonldap-ng dirs permissions and owner since dh_fixperms change them:
#  * global configuration dirs must be writable by www-data but not readable
#    by all (also sessions, captcha,... dirs)
#  * lemonldap-ng.ini must not be readable by all
override_dh_fixperms:
	dh_fixperms
	chown www-data:www-data \
		debian/*/$(SESSIONSDIR) \
		debian/*/$(SESSIONSDIR)/lock \
		debian/*/$(PSESSIONSDIR) \
		debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chgrp www-data debian/liblemonldap-ng-common-perl/$(LMINIFILE) \
		debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE)
	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock \
	        debian/*/$(PSESSIONSDIR) debian/*/$(PSESSIONSDIR)/lock \
		debian/*/$(NOTIFICATIONSDIR) \
		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
	chmod 750 debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR)
	chmod 640 debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE) \
		debian/liblemonldap-ng-common-perl/$(LMINIFILE)

override_dh_missing:
	dh_missing -Xexamples/ -Xetc/cron.d -Xllng-fastcgi-server

## lemonldap-ng 2.0.10+ds

=== debian/changelog ===
lemonldap-ng (2.0.10+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 Jan 2021 08:14:35 +0100

lemonldap-ng (2.0.10+ds-1) unstable; urgency=medium

  * New upstream version 2.0.10+ds
  * Refresh patches
  * Update dependencies

 -- Xavier Guimard <yadd@debian.org>  Mon, 18 Jan 2021 09:13:46 +0100

lemonldap-ng (2.0.9+ds-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Sat, 14 Nov 2020 07:19:03 +0100

lemonldap-ng (2.0.9+ds-2) unstable; urgency=medium

  * Exclude doc/.buildinfo from import
  * Fix uglfyjs use (Closes: #974431)

 -- Xavier Guimard <yadd@debian.org>  Wed, 11 Nov 2020 18:22:09 +0100

lemonldap-ng (2.0.9+ds-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Xavier Guimard <yadd@debian.org>  Thu, 10 Sep 2020 06:43:04 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends-Indep: gpg <!nocheck>,
                      libapache-session-perl <!nocheck>,
                      libauthen-oath-perl <!nocheck>,
+                     libauth-yubikey-webclient-perl <!nocheck>,
                      libauthen-u2f-tester-perl <!nocheck>,
                      libcache-cache-perl <!nocheck>,
                      libclone-perl <!nocheck>,
@@ -32,6 +33,7 @@
                      libio-string-perl <!nocheck>,
                      libipc-run-perl <!nocheck>,
                      libjson-perl <!nocheck>,
+                     libjson-xs-perl <!nocheck>,
                      liblasso-perl <!nocheck>,
                      liblwp-protocol-psgi-perl,
                      libmime-tools-perl <!nocheck>,
@@ -57,6 +59,7 @@
                      libxml-libxml-perl <!nocheck>,
                      libxml-libxslt-perl <!nocheck>,
                      libxml-simple-perl <!nocheck>,
+                     libtest-leaktrace-perl <!nocheck>,
                      python3-sphinx,
                      python3-sphinx-bootstrap-theme,
                      uglifyjs,
@@ -215,11 +218,13 @@
          libcrypt-rijndael-perl,
          libhtml-template-perl,
          libjson-perl,
+         libjson-xs-perl,
          libmouse-perl,
          libplack-perl,
          liburi-perl,
          libwww-perl
-Recommends: libapache-session-browseable-perl (>= 1.3.8),
+Recommends: libapache-session-browseable-perl,
+            libemail-sender-perl (>=1.300027) | libemail-sender-transport-smtps-perl,
             libcookie-baker-xs-perl,
             libdbi-perl,
             libhttp-parser-xs-perl,
@@ -251,17 +256,11 @@
 Depends: ${misc:Depends},
          ${perl:Depends},
          libconvert-pem-perl,
+         libregexp-common-perl,
          libcrypt-openssl-rsa-perl,
+         libemail-date-format-perl,
          libjs-angularjs (>= 1.4),
          libjs-bootstrap,
          libjs-es5-shim,
          libjs-jquery,
          liblemonldap-ng-handler-perl (= ${binary:Version}),
-         lemonldap-ng-fastcgi-server (= ${binary:Version}) | lemonldap-ng-uwsgi-app (= ${binary:Version}) | apache2 | httpd-cgi
-Recommends: lemonldap-ng-doc (= ${binary:Version}),
-            libxml-libxml-perl,
-            libxml-libxslt-perl,
-            libxml-simple-perl
-Suggests: libclone-perl,
-          libregexp-assemble-perl
-Pre-Depends: debconf

## lemonldap-ng 2.0.11+ds

=== Makefile ===
--- 
+++ 
@@ -329,10 +329,10 @@
 	@echo "Compressing $*.js"
 	if test "$(UGLIFYJSVERSION)" = 2; then \
 		cd `dirname $*`; \
-		uglifyjs `basename $*`.js --compress --mangle --comments='/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
+		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map `basename $*`.min.js.map -o `basename $*`.min.js; \
 	else \
 		cd `dirname $*`; \
-		uglifyjs `basename $*`.js --compress --mangle --comments='/Copyr/i' --source-map -o `basename $*`.min.js; \
+		uglifyjs `basename $*`.js --compress --mangle --comments '/Copyr/i' --source-map -o `basename $*`.min.js; \
 	fi
 
 fastcgi-server/man/llng-fastcgi-server.8p: fastcgi-server/sbin/llng-fastcgi-server

=== debian/changelog ===
lemonldap-ng (2.0.11+ds-4~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy

 -- Yadd <yadd@debian.org>  Wed, 28 Jul 2021 07:54:06 +0200

lemonldap-ng (2.0.11+ds-4) unstable; urgency=high

  * Import security fixes from 2.0.12
    * Session cache corruption can lead to authorization bypass or spoofing
      (Closes: CVE-2021-35472)
    * OAuth2 handler does not verify access token validity
      (Closes: CVE-2021-35473)
    * Fix XSS on register form
    * Don't display TOTP secret to connected user, neither in logs

 -- Yadd <yadd@debian.org>  Thu, 22 Jul 2021 22:13:38 +0200

lemonldap-ng (2.0.11+ds-3) unstable; urgency=medium

  * Add Breaks+Replaces in lemonldap-ng-handler for
    lemonldap-ng-fastcgi-server < 2.0.5 (Closes: #985107)

 -- Yadd <yadd@debian.org>  Sat, 13 Mar 2021 08:15:38 +0100

lemonldap-ng (2.0.11+ds-2) unstable; urgency=medium

  * Add recommended dependency to gsfonts, needed to enable Captcha images
    when using GD::SecurityImage (upstream ref: #2459)

 -- Yadd <yadd@debian.org>  Thu, 11 Feb 2021 10:57:38 +0100

lemonldap-ng (2.0.11+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy

 -- Xavier Guimard <yadd@debian.org>  Tue, 09 Feb 2021 06:11:45 +0100

lemonldap-ng (2.0.11+ds-1) unstable; urgency=medium

  * New upstream version 2.0.11+ds
  * Refresh patches
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sun, 31 Jan 2021 16:54:48 +0100

lemonldap-ng (2.0.10+ds-2) unstable; urgency=medium

  * Fix mime type for JS generated files
  * Declare compliance with policy 4.5.1
  * Fix POD (reported)
  * Remove duplicate dependency to libjson-xs-perl

 -- Xavier Guimard <yadd@debian.org>  Sun, 24 Jan 2021 07:39:45 +0100

lemonldap-ng (2.0.10+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 Jan 2021 08:23:04 +0100

lemonldap-ng (2.0.9+ds-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Xavier Guimard <yadd@debian.org>  Sat, 14 Nov 2020 08:01:14 +0100

lemonldap-ng (2.0.9+ds-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy

 -- Xavier Guimard <yadd@debian.org>  Thu, 10 Sep 2020 06:49:40 +0200

lemonldap-ng (2.0.8+ds1-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy

 -- Xavier Guimard <yadd@debian.org>  Sun, 10 May 2020 08:57:41 +0200

lemonldap-ng (2.0.8+ds1-1~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 09:16:38 +0200

lemonldap-ng (2.0.7+ds-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.

 -- Xavier Guimard <yadd@debian.org>  Sun, 05 Jan 2020 08:03:21 +0100

lemonldap-ng (2.0.6+ds-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports-sloppy.
  * Add patch to ignore an error due to old-Perl

 -- Xavier Guimard <yadd@debian.org>  Tue, 08 Oct 2019 23:24:38 +0200

lemonldap-ng (2.0.5+ds-2~bpo9+1) stretch-backports-sloppy; urgency=medium

  * Rebuild for stretch-backports.

 -- Xavier Guimard <yadd@debian.org>  Thu, 18 Jul 2019 12:39:47 +0200

lemonldap-ng (2.0.2+ds-7+deb10u1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Bump debhelper compatibility level to 10

 -- Xavier Guimard <yadd@debian.org>  Wed, 29 May 2019 14:22:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lemonldap-ng
 Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
-Uploaders: Xavier Guimard <yadd@debian.org>
+Uploaders: Yadd <yadd@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 10~),
                po-debconf
 Build-Depends-Indep: gpg <!nocheck>,
+                     gsfonts <!nocheck>,
                      libapache-session-perl <!nocheck>,
                      libauthen-oath-perl <!nocheck>,
                      libauth-yubikey-webclient-perl <!nocheck>,
@@ -65,7 +66,7 @@
                      uglifyjs,
                      yui-compressor,
                      perl
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -170,8 +171,8 @@
 Suggests: libcache-memcached-perl,
           libdigest-hmac-perl,
           libsoap-lite-perl
-Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
-Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~)
+Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~), lemonldap-ng-fastcgi-server (<< 2.0.5~)
+Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~), lemonldap-ng-fastcgi-server (<< 2.0.5~)
 Description: Lemonldap::NG handler part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -228,7 +229,6 @@
             libcookie-baker-xs-perl,
             libdbi-perl,
             libhttp-parser-xs-perl,
-            libjson-xs-perl,
             liblwp-protocol-https-perl,
             libstring-random-perl
 Suggests: libconvert-base32-perl,
@@ -263,4 +263,3 @@
          libjs-bootstrap,
          libjs-es5-shim,
          libjs-jquery,
-         liblemonldap-ng-handler-perl (= ${binary:Version}),

## lemonldap-ng 2.0.13+ds

=== debian/changelog ===
lemonldap-ng (2.0.13+ds-3ubuntu1) jammy; urgency=medium

  * d/p/Use-stronger-encryption-alg-for-new-certificates.patch:
    Cherry-picked from upstream to fix the compatibility with OpenSSL 3.0
    (LP: #1956753)

 -- Simon Chopin <simon.chopin@canonical.com>  Tue, 11 Jan 2022 09:55:18 +0100

lemonldap-ng (2.0.13+ds-3) unstable; urgency=medium

  * Install /var/lib/lemonldap-ng/cache (Closes: #995949)
  * Update lintian-overrides
  * Drop unneeded version dependency constraints
  * Remove sources of doc files from lemonldap-ng-doc package
  * Rename systemd *.tmpfile into *.tmpfiles

 -- Yadd <yadd@debian.org>  Sat, 09 Oct 2021 09:06:19 +0200

lemonldap-ng (2.0.13+ds-2) unstable; urgency=medium

  * Add lintian overrides for false positive "embedded-javascript-library":
    these files are built by Sphinx from Debian files
  * Fix 2.0.13 regression when portalRequireOldPassword=0

 -- Yadd <yadd@debian.org>  Fri, 27 Aug 2021 23:25:43 +0200

lemonldap-ng (2.0.13+ds-1) unstable; urgency=medium

  [ lintian-brush ]
  * Remove 2 obsolete maintscript entries in 1 files.

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Add debian/gbp.conf
  * New upstream version 2.0.13+ds

 -- Yadd <yadd@debian.org>  Mon, 23 Aug 2021 06:24:10 +0200

lemonldap-ng (2.0.12+ds-2) unstable; urgency=medium

  * Back to unstable

 -- Yadd <yadd@debian.org>  Sat, 14 Aug 2021 13:13:11 +0200

lemonldap-ng (2.0.12+ds-1) experimental; urgency=medium

  * New upstream version 2.0.12+ds
  * Remove security patches included in upstream

 -- Yadd <yadd@debian.org>  Fri, 23 Jul 2021 16:50:29 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: lemonldap-ng
-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
 Uploaders: Yadd <yadd@debian.org>
 Section: perl
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
                po-debconf
 Build-Depends-Indep: gpg <!nocheck>,
                      gsfonts <!nocheck>,
@@ -66,7 +67,7 @@
                      uglifyjs,
                      yui-compressor,
                      perl
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng
 Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/lemonldap-ng.git
 Homepage: https://lemonldap-ng.org/
@@ -116,7 +117,6 @@
 Package: lemonldap-ng-fastcgi-server
 Architecture: all
 Section: web
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${perl:Depends},
          lsb-base,
@@ -126,6 +126,7 @@
          libplack-perl
 Recommends: libhttp-parser-xs-perl,
             nginx-extras | nginx
+Pre-Depends: ${misc:Pre-Depends}
 Description: Lemonldap::NG FastCGI server
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -144,7 +145,6 @@
 Architecture: all
 Section: web
 Depends: ${misc:Depends},
-         ${perl:Depends},
          liblemonldap-ng-handler-perl (= ${binary:Version})
 Recommends: libhttp-parser-xs-perl,
             uwsgi-plugin-psgi
@@ -171,8 +171,8 @@
 Suggests: libcache-memcached-perl,
           libdigest-hmac-perl,
           libsoap-lite-perl
-Breaks: liblemonldap-ng-handler-perl (<< 1.9.1-2~), lemonldap-ng-fastcgi-server (<< 2.0.5~)
-Replaces: liblemonldap-ng-handler-perl (<< 1.9.1-2~), lemonldap-ng-fastcgi-server (<< 2.0.5~)
+Breaks: lemonldap-ng-fastcgi-server (<< 2.0.5~)
+Replaces: lemonldap-ng-fastcgi-server (<< 2.0.5~)
 Description: Lemonldap::NG handler part
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -225,7 +225,7 @@
          liburi-perl,
          libwww-perl
 Recommends: libapache-session-browseable-perl,
-            libemail-sender-perl (>=1.300027) | libemail-sender-transport-smtps-perl,
+            libemail-sender-perl,
             libcookie-baker-xs-perl,
             libdbi-perl,
             libhttp-parser-xs-perl,
@@ -236,7 +236,6 @@
           libsoap-lite-perl,
           libxml-libxml-perl,
           libxml-simple-perl
-Conflicts: liblemonldap-ng-cli-perl
 Description: Lemonldap::NG common files
  Lemonldap::NG is a complete Web-SSO system that can run with reverse-proxies
  or directly on application webservers. It can be used in conjunction with
@@ -259,7 +258,8 @@
          libregexp-common-perl,
          libcrypt-openssl-rsa-perl,
          libemail-date-format-perl,
-         libjs-angularjs (>= 1.4),
+         libjs-angularjs,
          libjs-bootstrap,
          libjs-es5-shim,
          libjs-jquery,
+         liblemonldap-ng-handler-perl (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 TMP       = $(CURDIR)/debian/tmp
 
 CONFDIR=/etc/lemonldap-ng
+CACHEDIR=$(LMVARDIR)/cache
 SESSIONSDIR=$(LMVARDIR)/sessions
 PSESSIONSDIR=$(LMVARDIR)/psessions
 NOTIFICATIONSDIR=$(LMVARDIR)/notifications
@@ -16,6 +17,7 @@
 LMINIFILE=$(CONFDIR)/lemonldap-ng.ini
 CAPTCHADIR=$(LMVARDIR)/captcha
 export LLNG_SKIP_GPG_TEST=1
+export HARNESS_VERBOSE=1
 
 %:
 	dh $@
@@ -58,7 +60,7 @@
 	# Generate minified files removed by uscan
 	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.js'); do \
 		echo -n "compressing $$i: "; \
-		uglifyjs --comments='/Copyr/i' $$i >$${i%%.js}.min.js; \
+		uglifyjs --comments '/Copyr/i' $$i >$${i%%.js}.min.js; \
 		echo done; \
 	done
 	for i in $$(find $(TMP)/$(LMSHAREDIR) -type f -name '*.css'); do \
@@ -66,6 +68,7 @@
 		yui-compressor $$i >$${i%%.css}.min.css; \
 		echo done; \
 	done
+	rm -rf $(TMP)/usr/share/doc/lemonldap-ng/pages/documentation/current/_*
 
 override_dh_compress:
 	dh_compress -X favicon.ico
@@ -77,6 +80,7 @@
 override_dh_fixperms:
 	dh_fixperms
 	chown www-data:www-data \
+		debian/*/$(CACHEDIR) \
 		debian/*/$(SESSIONSDIR) \
 		debian/*/$(SESSIONSDIR)/lock \
 		debian/*/$(PSESSIONSDIR) \
@@ -88,6 +92,7 @@
 		debian/liblemonldap-ng-common-perl/$(FIRSTCONFFILE)
 	chmod 770 debian/*/$(SESSIONSDIR) debian/*/$(SESSIONSDIR)/lock \
 	        debian/*/$(PSESSIONSDIR) debian/*/$(PSESSIONSDIR)/lock \
+		debian/*/$(CACHEDIR) \
 		debian/*/$(NOTIFICATIONSDIR) \
 		debian/liblemonldap-ng-portal-perl/$(CAPTCHADIR)
 	chmod 750 debian/liblemonldap-ng-common-perl/$(CONFSTORAGEDIR)

=== debian/tests/control ===
# debian/tests/runner launch pkg-perl-autopkgtest tests for each library
Test-Command: ./debian/tests/runner build-deps lemonldap-ng-common
Depends: liblemonldap-ng-common-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=common-test

Test-Command: ./debian/tests/runner build-deps lemonldap-ng-handler
Depends: liblemonldap-ng-handler-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=handler-test

Test-Command: ./debian/tests/runner build-deps lemonldap-ng-portal
Depends: liblemonldap-ng-portal-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=portal-test

Test-Command: ./debian/tests/runner build-deps lemonldap-ng-manager
Depends: liblemonldap-ng-manager-perl, @builddeps@, pkg-perl-autopkgtest
Features: test-name=manager-test

Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-common
Depends: liblemonldap-ng-common-perl, pkg-perl-autopkgtest, libmouse-perl
Restrictions: superficial, skippable
Features: test-name=runtime-deps-common

# Disable this one: skipped
#Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-handler
#Depends: liblemonldap-ng-handler-perl, pkg-perl-autopkgtest, libmouse-perl
#Restrictions: superficial, skippable
#Features: test-name=runtime-deps-handler

Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-portal
Depends: liblemonldap-ng-portal-perl, pkg-perl-autopkgtest, libmouse-perl
Restrictions: superficial, skippable
Features: test-name=runtime-deps-portal

Test-Command: ./debian/tests/runner runtime-deps lemonldap-ng-manager
Depends: liblemonldap-ng-manager-perl, pkg-perl-autopkgtest, libmouse-perl
Restrictions: superficial, skippable
Features: test-name=runtime-deps-manager

# Use pkg-perl-autopkgtest test for runtime-deps-and-recommends
# Some portal suggested dependencies are added here
Test-Command: /usr/share/pkg-perl-autopkgtest/runner runtime-deps-and-recommends
Depends: @, @builddeps@, pkg-perl-autopkgtest
 , libyaml-perl, liblog-log4perl-perl
 , libauthen-pam-perl, libauthen-radius-perl
 , libweb-id-perl, libio-socket-timeout-perl
 , libdatetime-format-rfc3339-perl
Restrictions: superficial
Features: test-name=runtime-deps-and-recommends

#Test-Command: ./debian/tests/runner heavy-deps
#Depends: @, pkg-perl-autopkgtest, pkg-perl-autopkgtest-heavy, libmouse-perl
#Features: test-name=heavy-deps
